<?php
/*
 * UnifonicAuthenticateLib
 *
 * This file was automatically generated by APIMATIC v2.0 ( https://apimatic.io ).
 */

namespace UnifonicAuthenticateLib;

/**
 * All configuration including auth info and base URI for the API access
 * are configured in this class.
 */
class Configuration
{
    /**
     * The environment being used'
     * @var string
     */
    public static $environment = Environments::PRODUCTION;
    /**
     * @todo Replace the $xAuthenticateAppId with an appropriate value
     */
    public static $xAuthenticateAppId = '';

    /**
     * Bearer Auth Token
     * @var string
     */
    public static $authorization = 'Bearer AUTH_TOKEN';

    /**
     * Get the base uri for a given server in the current environment
     * @param  string $server Server name
     * @return string         Base URI
     */
    public static function getBaseUri($server = Servers::DEFAULT_)
    {
        return APIHelper::appendUrlWithTemplateParameters(
            static::$environmentsMap[static::$environment][$server],
            array(
            )
        );
    }

    /**
     * A map of all baseurls used in different environments and servers
     * @var array
     */
    private static $environmentsMap = array(
        Environments::PRODUCTION => array(
            Servers::DEFAULT_ => 'https://authenticate.cloud.api.unifonic.com',
        ),
    );
}
